---
title: Create / Update Work
slug: create-update-work
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "axzVvzVdXmfD8ifGlOdDY",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/works",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/works"
      }
    ],
    "name": "Create / Update Work",
    "description": "This enpoind allows to create or update work values.\n\nIf you want to update Work using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "standartizedWork",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Starndartized Work"
            },
            {
              "name": "workspace",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Workspace"
            },
            {
              "name": "task",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Task"
            },
            {
              "name": "user",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of User"
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "duration",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "vat",
              "kind": "optional",
              "type": "number",
              "description": ""
            },
            {
              "name": "rate",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "price",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "priceWithVat",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "title",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "suggestedDuration",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "dateOfIntervention",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "<p>Date of intervention (ISO 8601). Optional; falls back to created when not set.</p>",
              "format": "date-time"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "workType",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "",
              "format": "int32"
            },
            {
              "name": "equipment",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Equipment"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "xWQgynV5G4a5pGQsbcHc3",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/works \\\n     --header 'accept: application/json'"
        },
        {
          "id": "JE3s5xkgnmWGAKTVTCKTC",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/works\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "rNLSlwC33vb_n1fmR_qkH",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/works\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "4ZuIFWJbIXNWo8dTSfVqz",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/works\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "xWQgynV5G4a5pGQsbcHc3"
    },
    "results": {
      "languages": [
        {
          "id": "VK0pQXANWrNJ__ch3d_fC",
          "language": "200",
          "code": "// Returned when successful\n"
        },
        {
          "id": "ic6Px4AmVB9ryqVQ7tfjd",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "VK0pQXANWrNJ__ch3d_fC"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}